# module Kernel

Since Ruby is very dynamic, methods added to the ancestors of BlankSlate after BlankSlate is defined will show up in the list of available BlankSlate methods. We handle this by defining a hook in the `Object` and `Kernel` classes that will hide any defined

### Public Class Methods

hpricot_slate_method_added(name)
Alias for: method_added
method_added(name) click to toggle source

Detect method additions to `Kernel` and remove them in the BlankSlate class.

    # File lib/hpricot/blankslate.rb, line 43
    def method_added(name)
      hpricot_slate_method_added(name)
      return if self != Kernel
      Hpricot::BlankSlate.hide(name)
    end

Also aliased as: hpricot_slate_method_added